/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_to_double.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/14 19:53:43 by ale-batt          #+#    #+#             */
/*   Updated: 2014/11/14 19:53:46 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

static int	ft_car_strlen(char *str, char c, int i)
{
	int nb_car;

	nb_car = 0;
	while (str[i])
	{
		nb_car++;
		if (str[i] == c)
			break ;
		i++;
	}
	return (nb_car);
}

static int	ft_nb_chaine_in_tab(const char *str, char c)
{
	int	i;
	int	y;

	i = 0;
	y = 0;
	while (str[i])
	{
		if (str[i] == c)
			y++;
		i++;
	}
	return (y);
}

char		**ft_to_double(char *str)
{
	char	**tab;
	int		i;
	int		x;
	int		y;
	int		ymax;

	i = 0;
	x = 0;
	y = 0;
	ymax = 1 + ft_nb_chaine_in_tab(str, '\n');
	tab = ft_memalloc((ymax + 1) * sizeof(char *));
	tab[ymax] = 0;
	while (ymax-- > 0)
	{
		tab[y] = ft_strnew((ft_car_strlen(str, '\n', i)));
		while (str[i] != '\n' && str[i])
			tab[y][x++] = str[i++];
		if (str[i++] == '\n')
		{
			tab[y][x] = '\0';
			x = 0;
		}
		y++;
	}
	return (tab);
}
