/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_lstfree.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/15 11:02:30 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/15 11:07:13 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void    ft_lstfree(t_list *lst)
{
    t_list *tmp;

    tmp = lst;
    while (tmp)
    {
        lst = tmp;
        tmp = tmp->next;
        free(lst->content);
        free(lst);
    }
}

void    ft_llstfree(t_llist *lst)
{
    t_llist *tmp;

    tmp = lst;
    while (tmp)
    {
        lst = tmp;
        tmp = tmp->next;
        free(lst->content);
        free(lst);
    }
}
