/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strdup.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 18:19:16 by ale-batt          #+#    #+#             */
/*   Updated: 2015/09/17 13:17:56 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strdup(const char *s1)
{
	int		i;
	char	*s2;

	i = ft_strlen((char *)s1);
	s2 = (char *)malloc(sizeof(char) * (i + 1));
	if (s2 != NULL)
	{
		ft_strcpy(s2, (char *)s1);
		s2[i] = '\0';
	}
	return (s2);
}

char	*ft_strfdup(char *s1)
{
	int		i;
	char	*s2;

	i = ft_strlen((char *)s1);
	s2 = (char *)malloc(sizeof(char) * (i + 1));
	if (s2 != NULL)
	{
		ft_strcpy(s2, (char *)s1);
		s2[i] = '\0';
	}
	free(s1);
	return (s2);
}
