/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strnstr.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/05 18:11:40 by ale-batt          #+#    #+#             */
/*   Updated: 2015/09/17 13:16:42 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strnstr(const char *s1, const char *s2, size_t n)
{
	int	i;
	int j;
	int size_s2;

	i = 0;
	j = 0;
	size_s2 = ft_strlen((char *)s2);
	if (size_s2 == 0)
		return ((char *)s1);
	while (s1[i] != '\0' && n > 0)
	{
		if (s1[i] == s2[j])
			j++;
		else
			j = 0;
		if (j == size_s2)
			return ((char *)s1 + i - j + 1);
		i++;
		n--;
	}
	return (NULL);
}
