/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   get_next_line.h                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/10 12:02:10 by ale-batt          #+#    #+#             */
/*   Updated: 2015/02/09 16:39:21 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef GET_NEXT_LINE_H
# define GET_NEXT_LINE_H

# define BUFF_SIZE 1000000

# include "libft.h"
# include <sys/types.h>
# include <sys/uio.h>
# include <fcntl.h>

typedef struct		s_gnl
{
	char			*ligne;
	char			*suite;
	int				fd_lst;
	int				ret;
	struct s_gnl	*next;
	struct s_gnl	*start;
}					t_gnl;

int					get_next_line(int const fd, char **line);

#endif
