/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_lstcpy.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/15 10:38:26 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/15 11:10:22 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

t_list *ft_lstcpy(t_list *list)
{
    t_list *new;
    t_list *tmp;

    new = NULL;
    tmp = list;
    while (tmp)
    {
        ft_lstadd_end(&new, ft_lstnew(tmp->content, sizeof(tmp)));
        tmp = tmp->next;
    }
    return (new);
}

t_llist *ft_llstcpy(t_llist *list)
{
    t_llist *new;
    t_llist *tmp;

    new = NULL;
    tmp = list;
    while (tmp)
    {
        ft_llstadd_end(&new, ft_llstnew(tmp->content));
        tmp = tmp->next;
    }
    return (new);
}
