/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_lstnew.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/08 15:08:58 by ale-batt          #+#    #+#             */
/*   Updated: 2015/12/11 00:31:16 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

t_list		*ft_lstnew(const void *content, size_t content_size)
{
	t_list	*new;

	new = (t_list*)malloc(sizeof(t_list));
	if (new)
	{
		new->content = (void*)content;
		new->content_size = (content ? content_size : 0);
		new->next = NULL;
	}
	return (new);
}

t_llist		*ft_llstnew(const void *content)
{
	t_llist	*new;

	new = (t_llist*)malloc(sizeof(t_llist));
	if (new)
	{
		new->content = (void*)content;
		new->next = NULL;
		new->prev = NULL;
	}
	return (new);
}
