/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   tcp_function.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/21 13:50:35 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 17:40:59 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_select.h"

void	ft_clear_screen(void)
{
	char *res;

	res = ft_tgetstr("cl");
	if (!res)
		ft_printexit("Error clear screen\n", -1);
	else
		tputs(res, 0, ft_iputchar);
}

int		*ft_winsize(void)
{
	int	*ret;
	struct winsize ws;

	ret = (int *)malloc(sizeof(int) * 2);
	ioctl(0, TIOCGWINSZ, &ws);
	ret[0] = ws.ws_row;
	ret[1] = ws.ws_col;
	if (ret[0] <= 5 || ret[1] <= 5)
		ft_printexit("screen too small", -1);
	return (ret);
}

void	move_cursor_to(int x, int y)
{
	char	*res;

	if ((res = ft_tgetstr("cm")) != NULL)
	{
		tputs(tgoto(res, x, y), AFFCNT, ft_iputchar);
	}
}
